/***************************************************************************
 *   Copyright (C) 2004 by Sylvain Joyeux                                  *
 *   sylvain.joyeux@m4x.org                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "pkgmanagerdcop.h"

#include "kpkgmanager.h"
#include "getwidget.h"

PkgManagerDCOP::PkgManagerDCOP(KPkgManager* parent)
 : DCOPObject("PkgManagerIface"), m_parent(parent)
{
}

PkgManagerDCOP::~PkgManagerDCOP() {}

void PkgManagerDCOP::install(const QStringList& commands, bool /*quiet*/)
{
  GetWidget* get_client = m_parent -> getGetWidget();
  if (!commands.empty())
  {
    m_parent->userInteractionBegin(QString::null);
    get_client->install(commands.join(" "));
  }
}
