/***************************************************************************
 *   Copyright (C) 2004 by Sylvain Joyeux                                  *
 *   sylvain.joyeux@m4x.org                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PKGMANAGERDCOP_H
#define PKGMANAGERDCOP_H

#include <pkgmanageriface.h>

class KPkgManager;

/** DCOP interface for KPkgManager. Can be used to issue
 * package management commands throught the UI.
 * @author Sylvain Joyeux
 */

class PkgManagerDCOP : public PkgManagerIface
{
  KPkgManager* m_parent;

public:
  PkgManagerDCOP(KPkgManager* parent);
  ~PkgManagerDCOP();

  void install(const QStringList& command, bool quiet);
};

#endif
